<template>
  <div class="exception-body">
    <div class="exception-content">
      <div class="exception-title p-text-uppercase p-text-bold">Not found</div>
      <div class="exception-detail p-text-bold">Requested resource is not available.</div>
      <router-link class="p-text-center p-mt-4 p-py-2 p-d-inline-block" to="/">Go to Dashboard</router-link>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Exception',
  data() {
    return {
      bodyClass: this.$route.name,
    };
  },
  mounted() {
    document.body.classList.add(this.bodyClass);
  },
  unmounted() {
    document.body.classList.remove(this.bodyClass);
  },
};
</script>

<style lang="scss">
body {
  background-repeat: no-repeat;
  background-size:   cover;
  text-align:        center;

  &.not_found {
    background-image: url("~@/assets/images/pages/bg-404.jpg");
  }

  &.access_error {
    background-image: url("~@/assets/images/pages/bg-access.jpg");
  }

  &.error {
    background-image: url("~@/assets/images/pages/bg-error.jpg");
  }
}
</style>

<style lang="scss" scoped>
.exception-body {
  min-height: 90vh;
  @include flex();
  @include flex-justify-center();
  @include flex-align-center();

  .exception-content {
    .exception-title {
      color:     $textColor;
      font-size: 112px;
    }

    .exception-detail {
      color: $textColor;
    }

    > a {
      background-color: rgba(255, 255, 255, 0.1);
      border-radius:    $borderRadius;
      color:            $textColor;
      transition:       background-color .2s;
      width:            250px;

      &:hover {
        background-color: rgba(255, 255, 255, 0.2);
      }
    }
  }
}

@media(max-width: 640px) {
  .exception-body {
    .exception-content {
      .exception-title {
        font-size: 72px;
      }
    }
  }
}
</style>
